Permalink
Browse files

update Rakefile to use bundler packaging

  • Loading branch information...
1 parent 216b152 commit 8b7b7e031b515d49864f77220bb06b411652119d @hcatlin hcatlin committed Dec 28, 2011
Showing with 3 additions and 26 deletions.
  1. +3 −26 Rakefile
View
@@ -1,13 +1,7 @@
-require 'rake'
+require 'bundler'
+Bundler::GemHelper.install_tasks
+
require 'rake/testtask'
-begin
- # in 1.9
- require 'rdoc/task'
-rescue LoadError
- # for 1.8 compat
- require 'rake/rdoctask'
-end
-require 'rubygems/package_task'
$:.unshift 'lib'
@@ -24,20 +18,3 @@ Rake::TestTask.new(:test) do |t|
t.test_files = Dir.glob("test/**/*_test.rb")
t.verbose = true
end
-
-desc 'Generate documentation for the mini_magick plugin.'
-Rake::RDocTask.new(:rdoc) do |rdoc|
- rdoc.rdoc_dir = 'rdoc'
- rdoc.title = 'MiniMagick'
- rdoc.options << '--line-numbers'
- rdoc.options << '--inline-source'
- rdoc.rdoc_files.include('README.rdoc')
- rdoc.rdoc_files.include('lib/**/*.rb')
-end
-
-spec = eval(File.read('mini_magick.gemspec'))
-Gem::PackageTask.new(spec) do |pkg|
- pkg.gem_spec = spec
- pkg.need_zip = true
- pkg.need_tar = true
-end

0 comments on commit 8b7b7e0

Please sign in to comment.